arpit_aditya's blog

By arpit_aditya, history, 6 months ago, In English

Stuck in the newbie Zone

So I started C.P around 18 months back and I have done DSA quite well, I can write code for basic algos quick,merge,topo,scc,kruskal,prims e.t.c I know some advanced algos which i keep on forgetting but I can quickly revise them. This was to give you background of my knowledge.On one of the community post I saw that you only need binary search and dfs to break out of newbie zone. However it does not seems to be the case with me, you can also look at my profile I have given quite ample amount of contest and still I have seen no progress.

Eventually I pondered over this question , Is competitive programming not meant for me ? Should I quit it?. Your guidance will be highly appreciated. Thank you!!!

  • Vote: I like it
  • -19
  • Vote: I do not like it

»
6 months ago, # |
  Vote: I like it +19 Vote: I do not like it

"Stop learning useless algorithms, go and solve some problems, learn how to use binary search."- Umnik

if you want to get out of newbie, practice problems, learn how to make observations and learn how to apply the algorithms you learned. learning advanced problems won't help you solve easy problems.

  • »
    »
    6 months ago, # ^ |
      Vote: I like it 0 Vote: I do not like it

    Yeah, I do solve problems, theory can only take you so far. But My problem is that i am not able to think the logic, Like for the problem B of DIV 2(922). It was so simple once i saw the hint but before that i was not able to think the solution at all.

    • »
      »
      »
      6 months ago, # ^ |
        Vote: I like it +5 Vote: I do not like it

      There's no real trick to get around this. Practice, participate in more contests, try to learn how to solve problems. I also would recommend not reading the editorial unless you're hardstuck without any ideas for >1 hour.

    • »
      »
      »
      6 months ago, # ^ |
        Vote: I like it 0 Vote: I do not like it

      but this doesn't mean that you can't solve problem b of div2 , as per my personal opinion you should solve problem which is 1200 rated just to cross barrier of div2 problem b .learning advanced algo is good but you should also know how to implement it when needed.

»
6 months ago, # |
  Vote: I like it 0 Vote: I do not like it

If you see my graph, i was there for a long time too, i guess more than a year, i think i grew whenever i was trying to do things which were outside my comfort zone. Find ways to challenge yourself. I am not sure if kruskals or prims will do the trick at this stage, but developing a strong intuition for problems does.

»
6 months ago, # |
  Vote: I like it 0 Vote: I do not like it

I guess practice is the only key.

»
6 months ago, # |
  Vote: I like it 0 Vote: I do not like it

I faced the same look at my name :) Before the last contest I reached pupil so here is my story .. ~~~~~ started cp about 2 years ago, in my previous account I solved about 500_600 problem in different topics and rating and the best rating I gain was 1078 but I lost the password and the email wasn't mine so I couldn't reset it Now I made this account and I started a new CP journey here's how : 1) don't solve 800_900 rating problems 2) start from 1000 (or 1100 if you feel it too easy) 3) the problem in rating 1100_1200 will make you able to solve Div2 A&B 4) and don't stop practice for a week or smth ~~~~~

»
6 months ago, # |
  Vote: I like it +4 Vote: I do not like it

Me: why am i still newbie?

Also me:

less then 200 problems solved at all

less than 20 problems >1200 solved at all

  • »
    »
    6 months ago, # ^ |
      Vote: I like it 0 Vote: I do not like it

    That's a roast i wasn't expecting but thanks will switch to 1000 plus problems from now on.

»
6 months ago, # |
  Vote: I like it 0 Vote: I do not like it

I would say practice more problems and also better quality of problems (you have solved around 170 problems only, majority of which are 800 , which is only enough for Div2 A , solve problems rated 1000-1200), if you solve Div2 A and B you will quickly become a pupil and also improve your observational skills (by practicing Div2 A and B in a timed mannner once you are able to solve them consistently)

»
6 months ago, # |
  Vote: I like it +4 Vote: I do not like it

Haha, yet another newbie who thinks that solving hundreds 800 rated problems will help him solve 2000 rated problems, lol.

  • »
    »
    6 months ago, # ^ |
      Vote: I like it 0 Vote: I do not like it

    Nah,I keep my expectations humble will surely raise the bar to 1000, thanks!

»
6 months ago, # |
  Vote: I like it +1 Vote: I do not like it

why is being newbie bad being pupil is worse i miss being a newbie

»
6 months ago, # |
  Vote: I like it 0 Vote: I do not like it

yes

»
6 months ago, # |
  Vote: I like it 0 Vote: I do not like it

No.

  • »
    »
    6 months ago, # ^ |
      Vote: I like it 0 Vote: I do not like it

    your account is for 10 years ago and you are still pupil??hah

»
6 months ago, # |
  Vote: I like it 0 Vote: I do not like it

I am just going to solve this sheet and give contest continuously; Sheet helps in exploring simple topics which we might miss especially math related topics

https://takeuforward.org/interview-experience/strivers-cp-sheet/?utm_source=youtube&utm_medium=striver&utm_campaign=yt_video

»
6 months ago, # |
  Vote: I like it 0 Vote: I do not like it

Hello!

Getting to a decently high rating (~2000) doesn’t require knowing many algorithms. Its just a thing of what to practice and how much to practice.

I usually give my students this great blog on how to practice. I myself found it particularly useful for me too!

Don't let your motivation get dragged down just due to lack of improvement. If you like what you do, and practice at a constant rate, you will improve!

I hope what i said is helpful to you,

Cristofor.

  • »
    »
    6 months ago, # ^ |
      Vote: I like it 0 Vote: I do not like it

    Thanks for your kind words sir,I will surely follow the sheet

»
6 months ago, # |
  Vote: I like it 0 Vote: I do not like it

Even though I am still a newbie

I would like to give you some suggestions on what I have been told by Master ranked people who are like mentors to me. Following these tricks put me back on track and I have seen a huge difference in my problem solving ability. Enough about me, I did a detailed analysis on your profile.

Main points: You have done a lot of 800 rated problems(93 to be exact). I will explain why this is bad. Doing these problems may give you a sense of satisfaction(which is rare in CP). You have solved a bunch of 1000 rated problems too. This explains the reason why you can solve first question on almost every contest. Meanwhile you have only solved 11 1200 rated problems. Try solving more problems from 1200-1300 range. I encourage you to follow CP-31 sheet.

There are huge gaps in your heat map Try to solve 2-3 problems a day to see good results

I see you are using JAVA as your primary language. As a former JAVA programmer I would recommend you to use C++ as it has this amazing STL library with a lot of ready-made functions which makes coding easy.

Things you are doing good:- Up-solving contests, caring enough about learning that you put up a post asking for help rather than quitting like most people do.

That's my analysis. This is entirely based upon my opinion and what I have been told by high-rated coders.

All the best for your CP journey!!!

»
6 months ago, # |
  Vote: I like it 0 Vote: I do not like it

You registered 18 months ago but in 8 of those months you didnt do a single problem. Dont be so imaptient and keep practicing. You will eventually get there.